 
/* finds the parameters of the T wave  using TRA, Vazquez et al 2011
 output array elements are x-coordinates of: T point location, Tend location */ 

int Twave_detect( int *chandata , int Spoint_loc, const int T_window)
{
	int  i, Tpoint_loc;
	int   Amax, aux;
	int Window[T_window];
	int  index, x_m, x_r, aux_for_max;
	int diff_temp[T_END_WINDOW];
	
	/*if(!ADAPTIVE_T_WINDOW)
		T_window=T_WINDOW; */
	
	/*printf("T_window %d \n ", T_window );*/
	
	for(i=0; i<T_window ; i++)
	{	
		if(Spoint_loc+i<lines)
		{
			Window[i]=chandata[Spoint_loc+i]; 
		}
		else
		{
			Window[i]=SHRT_MIN;  /*assigning dummy values if exceding dimension of chandata */
		}
	}
		
	aux_for_max=peakfinder(Window, T_window);
	Tpoint_loc=aux_for_max+Spoint_loc;

	for(i=0;i<T_END_WINDOW;i++)
	{
		if((Tpoint_loc+i+1)<lines) 
		{	
			diff_temp[i]=-(chandata[Tpoint_loc+i+1]-chandata[Tpoint_loc+i]);     /*putting a minus sign cause peakfinder works for maxima */
		}
		else
		{
			diff_temp[i]=INT_MIN;
		}	
	}
	aux_for_max=peakfinder(diff_temp, T_END_WINDOW);
	x_m=Tpoint_loc+aux_for_max;

	
	if((Tpoint_loc+T_END_WINDOW+T_END_WINDOW/2)<lines)		
	{
		x_r=Tpoint_loc+T_END_WINDOW+T_END_WINDOW/2;
	}
	else
	{	
		x_r=lines-1;
	}
	
	
	for(i=0;i<T_END_WINDOW;i++)
	{
		if(Tpoint_loc+T_END_WINDOW+i+1<lines)
		{		
			diff_temp[i]=abs(chandata[Tpoint_loc+T_END_WINDOW+i+1]-chandata[Tpoint_loc+T_END_WINDOW+i]);   
		}
		else
		{
			diff_temp[i]=INT_MAX;		/*assigning dummy values if exceding dimension of chandata */
		}		
		if(abs(diff_temp[i])<DERIVATIVE_THERE)							
		{	
			x_r=Tpoint_loc+T_END_WINDOW+i;
			break;
		}   
	}
	Amax=0;
	index=x_m;
	for(i=x_m;i<x_r;i++)
	{
		aux=(chandata[x_m]-chandata[i])*(2*x_r-i-x_m);				
		if((aux>Amax) && (i<lines))
		{
			Amax=aux;
			index=i;
		}
	}
	return(index);
}

