
#ifdef SARMA

	#define MODEL "sarma"


#endif
#ifdef LINEAR

	#define MODEL "linear"

#endif
#ifdef BEZZET

	#define MODEL "bezzet"

#endif
#ifdef FRIDERICIA

	#define MODEL "fridericia"

#endif
#ifdef HYPERBOLIC

	#define MODEL "hyperbolic"

#endif

double pacing(int QT)
{
	double qt_in_seconds=((double)QT)*0.01*CONVERSION_FACTOR;
	double rr_in_seconds;


  		/*printf(" %lf ",100*(BETA1-0.1));*/

	if(  QT_LOWER_THERE<qt_in_seconds  && qt_in_seconds<QT_UPPER_THERE )
	{

		/*     linear model */
		
		if(strcmp(MODEL, "linear")==0)
		{
			rr_in_seconds=linear_pacing(qt_in_seconds); 
		}

		if(strcmp(MODEL, "bezzet")==0)
		{
			rr_in_seconds=bezzet_pacing(qt_in_seconds); 
		}

		if(strcmp(MODEL, "hyperbolic")==0)
		{
			rr_in_seconds=hyperbolic_pacing(qt_in_seconds); 
		}

		if(strcmp(MODEL, "fridericia")==0)
		{
			rr_in_seconds=fridericia_pacing(qt_in_seconds); 
		}

		if(strcmp(MODEL, "sarma")==0)
		{
			rr_in_seconds=sarma_pacing(qt_in_seconds); 
		}
		
	}
	else
	{
		if(qt_in_seconds<=QT_LOWER_THERE)
		{
			rr_in_seconds=MINIMUM_RR;
		}
		else
		{
			rr_in_seconds=REST_RR;
		}

	}
	rr_in_seconds=BIN_MAX(rr_in_seconds,MINIMUM_RR);
	return(rr_in_seconds);
}



double linear_pacing(double qt)
{
	return(qt/P1-P2/P1);
}

double bezzet_pacing(double qt)
{
	return(  pow((qt/B_BEZ)-(A_BEZ/B_BEZ) ,2)  );
}

double hyperbolic_pacing(double qt)
{
	return(  B_HYP/(qt - A_HYP)  );
}

double fridericia_pacing(double qt)
{
	return(  pow((qt/B_FRI)-(A_FRI/B_FRI),3)  );
}

double sarma_pacing(double qt)
{
	return( -(1/C_SARMA)*log( (A_SARMA/B_SARMA)-(qt/B_SARMA) )  );
}
