#!/bin/bash


ModelName="Models/Heart_DDD_pm_stochastic_noise_plot"
FILE_LHA="Properties/PDF_DDD_stochastic_beats.lha"
ERR_FILE="errors.txt"


formatslx=".slx"
formatgrml='.grml'
slx_file=$ModelName$formatslx
grml_file=$ModelName$formatgrml
TEMPL_PLOT="Plots/pdf"
PLOT_SOURCE=""
formatdat=".dat"
TEMPL_out="Plots/pdf"
PLOT_out=""
epsformat=".eps"
Long="l"

for i in `seq 500 500  20000`
	do
	x=$i$Long
	sed -i "/#define BETA_1/c\#define BETA_1 $x" Models/Parameters/distr.cpp
	PLOT_SOURCE=$TEMPL_PLOT$i$formatdat
	PLOT_out=$TEMPL_out$i$epsformat
	../bin/modelConvert $slx_file --grml --add-reward
	../bin/Cosmos $grml_file $FILE_LHA  --max-run 10000 --output-graph $PLOT_SOURCE  --tmp-status 2  2>$ERR_FILE 
	gnuplot -e "filename='$PLOT_SOURCE';output_file='$PLOT_out'" Plots/PlotPDFbeats.plt
done










