%set optimal parameters
AV_anteDMin = max(1,round(minEntry(1)*1000));
AV_retroDMin = AV_anteDMin;
AV_Vt = round(minEntry(2));

fs = 128;
ecg_sig_validation = ecg_16265m(1,fs*60+1:fs*120);%1 min

[~,filteredECG_validation] = genECGParam(ecg_sig_validation,fs,10,false,0.1);

out=sim('HeartModelECG2','StopTime', sprintf('%d',tLimit_sim),'SaveOutput','on','OutputSaveName','heart_Events');
attempts = 20;
synth_ECGs = [];
ECGmeans_synth=[];
ECGsds_synth=[];
meanPhases_synth=[];
validation_score=1;
bestI=0;
for i = 1:attempts
    synth_ECG=ECGfromTrace(get(out,'heart_Events'),ParECG,1/fs,0.001);
    [score,scores,ECGmean_validation,ECGsd_validation,ECG_distr_validation,meanphase_validation,ECGmean_synth,ECGsd_synth,ECG_distr_synth,meanphase_synth]=computeECGsdistance(filteredECG_validation,fs,synth_ECG,fs,false,true);
    if score < validation_score
        validation_score = score;
        bestI = i;
    end
    synth_ECGs = [synth_ECGs; struct('at',i,'synth_ecg',synth_ECG, 'score', score)];
    ECGmeans_synth = [ECGmeans_synth; ECGmean_synth];
    ECGsds_synth = [ECGsds_synth; ECGsd_synth];
    meanPhases_synth = [meanPhases_synth; meanphase_synth];
end

plotMeanECG(ECGmean_validation,ECGsd_validation,meanphase_validation,'Original (validation)')
plotMeanECG(ECGmeans_synth(bestI,:),ECGsds_synth(bestI,:),meanPhases_synth(bestI,:),'Synthesized (validation)')