function [f,bestSynthECGs] = heartGen(x)
oldAV_anteDmin = evalin('base','AV_anteDMin');
oldAV_retroDmin = evalin('base','AV_retroDMin');
old_AV_vt = evalin('base','AV_Vt');


filteredECG=evalin('base','filteredECG');
tLimit_sim=evalin('base','tLimit_sim');
fs=evalin('base','fs');
ParECG = evalin('base','ParECG');
bestSynthECGs = evalin('base','bestSynthECGs');

assignin('base','AV_anteDMin',max(1,round(x(:,1)*1000)));
assignin('base','AV_retroDMin',max(1,round(x(:,1)*1000)));
assignin('base','AV_Vt',round(x(:,2)));

out=sim('HeartModelECG2','StopTime', sprintf('%d',tLimit_sim),'SaveOutput','on','OutputSaveName','heart_Events');
attempts = 1;
synth_ECGs = [];
ECGmeans_synth=[];
ECGsds_synth=[];
meanPhases_synth=[];
f=1;
bestI=0;
for i = 1:attempts
    synth_ECG=ECGfromTrace(get(out,'heart_Events'),ParECG,1/fs,0.001);
    [score,scores,ECGmean_orig,ECGsd_orig,ECG_distr_orig,meanphase_orig,ECGmean_synth,ECGsd_synth,ECG_distr_synth,meanphase_synth]=computeECGsdistance(filteredECG,fs,synth_ECG,fs,false,true);
    if score < f
        f = score;
        bestI = i;
    end
    synth_ECGs = [synth_ECGs; struct('at',i,'synth_ecg',synth_ECG, 'score', score)];
    ECGmeans_synth = [ECGmeans_synth; ECGmean_synth];
    ECGsds_synth = [ECGsds_synth; ECGsd_synth];
    meanPhases_synth = [meanPhases_synth; meanphase_synth];
end
bestSynthECGs = [bestSynthECGs;struct('synth_ecg',synth_ECGs(bestI).synth_ecg, 'score', f,'mean',ECGmeans_synth(bestI,:),'stdev',ECGsds_synth(bestI,:),'meanPhase',meanPhases_synth(bestI,:))];
% plotMeanECG(ECGmean_orig,ECGsd_orig,meanphase_orig,'Original')
% plotMeanECG(ECGmeans_synth(bestI,:),ECGsds_synth(bestI,:),meanPhases_synth(bestI,:),'Synthesized')

assignin('base','bestSynthECGs',bestSynthECGs);
assignin('base','ECGmean_orig',ECGmean_orig);
assignin('base','ECGsd_orig',ECGsd_orig);
assignin('base','meanphase_orig',meanphase_orig);

assignin('base','AV_anteDMin',oldAV_anteDmin);
assignin('base','AV_retroDMin',oldAV_retroDmin);
assignin('base','AV_Vt',old_AV_vt);

end


